# Class ShortFrustumProjectionMatrixState

##### Index

### Constructors

constructor

### Properties

depthRenderCameraMaxZ
depthRenderCameraMinZ

### Methods

getInvertedProjectionMatrix
getProjectionMatrix

## Constructors

### constructor

- new ShortFrustumProjectionMatrixState(
  camera: Camera,
  ): ShortFrustumProjectionMatrixState

  #### Parameters

  - camera: Camera

  #### Returns ShortFrustumProjectionMatrixState

## Properties

### `Readonly` depthRenderCameraMaxZ

depthRenderCameraMaxZ: 600 = 600.0

### `Readonly` depthRenderCameraMinZ

depthRenderCameraMinZ: 0.25

## Methods

### getInvertedProjectionMatrix

- getInvertedProjectionMatrix(): Matrix

  #### Returns Matrix

### getProjectionMatrix

- getProjectionMatrix(): Matrix

  #### Returns Matrix